/*
DailyBread.h - Copyright (c) 1992 NeXT Computer, Inc.

You may freely copy, distribute and reuse the code in this example.
NeXT Computer, Inc. disclaims any warranty of any kind, expressed or implied, 
as to its fitness for any particular use.
*/

#import <objc/Object.h>
#define DBR_MAXFIELDS 32

@interface DailyBread:Object
{
	char		*_theDate;
	char		*_number[DBR_MAXFIELDS];
	float		textGrays[DBR_MAXFIELDS];
	int		doneFields[DBR_MAXFIELDS];
	int		upperLimit;
	char		*_theStringValue;
	BOOL	_changed;
}

- initForDate:(const char *)theDate;
- (char *)theDate;

- setNumber:(int)i to:(const char *)aString;
- (char *)number:(int)i;

- setDone:(int)i to:(int)yn;
- (int)done:(int)i;

- (float)textGrayOfNumber:(int)i;
- setNumber:(int)i textGray:(float)gVal;

// composites all the text on this date into one string for searching purposes.
- (const char *)stringValue;

// returns a string of length 50 with aWord more or less centered.
- (const char *)midlingStringValueFor:(const char *)aWord;

// implement IXRecordTranscription protocol for faster serialization.
- source:aSource didReadRecord:(unsigned)record;
- source:aSource willWriteRecord:(unsigned)record; 

@end
